Subject: Re: bug#2588: 23.0.90; Man buffer improperly formatted - wrong width

From: Chong Yidong <[email-masked]>
Date: Sun, 08 Mar 2009 12:08:49 -0400

Eli Zaretskii <[email-masked]> writes:

> AFAICS, we started setting COLUMNS in the environment because on some
> GNU/Linux system, under X, not setting it would result in over-long
> lines.  To avoid that with pop-up-frames, we could set COLUMNS to the
> value 80.  For a frame that is not yet created, 80 sounds like a
> better default than the width of some other frame/window.

Right, and this handles the case where the selected frame is abnormally
wide.  But suppose the selected frame is the normal width, and has a
width of 200.  The default-to-80-columns would do the wrong thing.

I think we could use default-frame-alist to guess the number of columns.